---
title: "Get CRM contact info"
url: "https://docs.signnow.com/docs/contacts/operations/get-v2-crm-contacts-contact-id"
type: "endpoint"
section: "contacts"
slug: "contacts/operations/get-v2-crm-contacts-contact-id"
method: "GET"
path: "/v2/crm/contacts/{contact_id}"
operation_id: "get-v2-crm-contacts-contact-id"
authorization: "bearer"
---

# Get CRM contact info

`GET /v2/crm/contacts/{contact_id}`

This endpoint allows API users to get the details of a CRM contact by its ID.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `contact_id` | string | Yes | The ID of the CRM contact. |

## Responses

### 200

Contact details.

**Example** (`Successful response`)

```json
{
  "data": {
    "id": "14cfd7a1dc6ebb1b172f7e790fd573b4eb689c64",
    "meta": {
      "created_at": 1792671820,
      "updated_at": 1792671820,
      "interacted_at": 1792671820
    },
    "email": "user@example.com",
    "phone": {
      "number": "2025550123",
      "country_code": "US"
    },
    "address": {
      "city": "Albany",
      "state": "New York",
      "street": "1 Main St",
      "country": "US",
      "zip_code": "12207",
      "apartment": "2"
    },
    "company": {
      "name": "Test Co",
      "job_title": "QA"
    },
    "last_name": "Smith",
    "first_name": "John",
    "description": "Key client"
  }
}
```

### 400

Request with any of cases:

invalid token of user
expired token of user
empty header
authorization = null
authorization without value

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

### 404

* Request to contact that doesn`t belong to user or was deleted
* Request with wrong contact id in path parameter

**Example** (`Incorrect contact id in path parameter`)

```json
{
  "code": 404,
  "message": "Unable to find a route to match the URI: v2/crm/contacts/6dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

**Example** (`Contact doesn`t belong to user or was deleted`)

```json
{
  "code": 27404001,
  "message": "Contact 8fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX not found"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/crm/contacts/{contact_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/contacts/operations/get-v2-crm-contacts-contact-id*
